Commit 2d0114c9 authored by Francesco Colista's avatar Francesco Colista

main/libvirt: security upgrade to 5.5.0

This upgrade fixes the following CVE:
- CVE-2019-10168
- CVE-2019-10167
- CVE-2019-10166
- CVE-2019-10161
parent ef58606a
# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
pkgname=libvirt
pkgver=5.4.0
pkgver=5.5.0
_ver="${pkgver/_rc/-rc}"
pkgrel=0
pkgdesc="A virtualization API for several hypervisor and container systems"
......@@ -38,6 +38,13 @@ if [ "$CARCH" = "x86_64" ]; then
fi
subpackages="$subpackages $pkgname-common-drivers:_common_drivers"
# secfixes:
# 5.5.0-r0:
# - CVE-2019-10168
# - CVE-2019-10167
# - CVE-2019-10166
# - CVE-2019-10161
build() {
cd "$builddir"
# qemu sets libexec dir to /usr/lib/qemu
......@@ -172,7 +179,7 @@ _common_drivers() {
"$subpkgdir"/etc/libvirt/
}
sha512sums="03fa932d041d147cab79eab200bb33f8db72579be72ec7cbff3305f4a8d574835a80f1b99936eddf67f83d21cc5567f45c86e555209de6cd702f43f91197cfd0 libvirt-5.4.0.tar.xz
sha512sums="47923aaca605fb43a53238ac535abc1f88f73435336b8f3e88cb01df277ed205d99c586991e523aa32b50c832a0a7c949ab5f84dc78eb8d18a4951cfc791448d libvirt-5.5.0.tar.xz
9aba6ab73219a635c64a340ee8887356e644445c9128734cbce73f5d54778378da2f10a190365ad88a7db8bc95b1fb17f0c6ca41fc41bb786c09e1afe84d65dc libvirt.confd
734afb83b7a4703dd238f1d89dbc853a8c73bcf1994af648c41ab01ae4088e5c7a423f0cb91e5e31f2ae5e60c66d08a6e1583a1e3b88bb5554e0f9fd15ecc15c libvirt.initd
36b85f473d292be8df415256d01a562131d8ae61450ba3893658090a12d589ca32215382f56f286a830b4e59ffd98fbe1d92004f2ce14ca0834451b943cd8f2f virtlogd.initd
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment